# SyncThing

The below will setup ```syncthing``` and give some basics for setup. This is wholly optional if you prefer a different approach to synchronizing your photos to the PiFrame.

``` sh

curl -s https://syncthing.net/release-key.txt | sudo apt-key add -
echo "deb https://apt.syncthing.net/ syncthing stable" | sudo tee /etc/apt/sources.list.d/syncthing.list
apt update && apt install syncthing
touch /tank/pictures/.stfolder
chown fim: /tank/pictures/.stfolder
systemctl enable --now syncthing@fim.service # use feh user so perms are right for pics
ssh -L 8385:127.0.0.1:8384 user@piframe
http://localhost:8385
Change settings
    General
        Minimum free disk space : 10%
        Anonymous usage reporting : Disabled
    GUI
        Listen address : 0.0.0.0:8384
        GUI Auth user : admin
        GUI Auth password : apassword
Delete default folder
Add /tank/pictures folder
Connect to upstream device w/ files you want to sync
Setup picture sync as inbound only
firewall-cmd --zone=public --permanent --add-port=8384/tcp
firewall-cmd --zone=public --permanent --add-port=22000/tcp
firewall-cmd --reload

```
