# Bill Of Materials / Hardware Assumptions

This is a surprisingly straight forward project that has minimal in the way of hardware requirements. Below you'll find a list of everything we recommend / assume.

* [Raspberry Pi 4](https://www.raspberrypi.org/products/raspberry-pi-4-model-b/) with at least 2Gb of RAM
  * An equivalent board with at least 2Gb of RAM capable of running Arch Linux can be used instead but we do not support anythin but the Raspberry Pi 4 at this time
* HDMI Monitor
  * [This](https://www.alibaba.com/product-detail/CONFU-HDMI-to-MIPI-5-5_62010868927.html) 1440x2560 (2k) display looks promising and is being tested currently
* Mini HDMI to HDMI adapter
* HDMI cable
* usb disk (thumb drive / ssd) for storing pictures
  * This is optional but will help prevent micro sd card wear if regularly changing photos or running backups
* 2x micro sd cards (one for prep, one for install)
  * At least 8Gb in size, 16Gb preferred
* Power supply (at least 3A to avoid voltage issues)
